Complete a multipart upload

Finalize an S3 multipart upload started via POST /rest/files, after all parts have been uploaded.

Token scopes: files:write

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.deel.training/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

fileidstringRequiredformat: "uuid"
File UUID from the register response.

Headers

x-one-time-secretstringRequired

One-time secret from the register response.

Request

This endpoint expects an object.
dataobjectRequired

Response

Multipart upload completed successfully

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
500
Internal Server Error